#include <Arduino.h>
#include <LiquidCrystal.h>

#define DA_PREMERE  0

LiquidCrystal lcd(12, 11, 6, 5, 4, 3);

int pinLedRosso = 8;
int pinLedVerde = 9;
int pinBottone = 2;

bool tastoPremuto = false;

void interruptTastoPremuto()
{
    tastoPremuto = true;
}

void setup()
{
    pinMode(pinLedRosso, OUTPUT);
    pinMode(pinLedVerde, OUTPUT);
    pinMode(pinBottone, INPUT);

    lcd.begin(16, 2);
    randomSeed(analogRead(0));
    attachInterrupt(0, interruptTastoPremuto, RISING);

    lcd.print("Benvenuto");
    delay(1000);
}

void loop()
{
    int val = random(0,2);
    digitalWrite(pinLedVerde, LOW);
    digitalWrite(pinLedRosso, LOW);

    lcd.clear();
    lcd.print("Sei pronto??");
    delay(1000);

    tastoPremuto = false;

    lcd.clear();
    lcd.setCursor(random(0,16), random(0,2));

    if(val == DA_PREMERE) {
        lcd.print("X");
    } else {
        lcd.print("O");
    }

    delay(random(100, 1000));

    lcd.clear();
    if( ( tastoPremuto && val == DA_PREMERE) ||
        (!tastoPremuto && val != DA_PREMERE)) {
        lcd.print("Bravo!!!");
        digitalWrite(pinLedVerde, HIGH);
    } else {
        lcd.print("Schiappa!!! :P");
        digitalWrite(pinLedRosso, HIGH);
    }

    delay(1000);
}

