
#include <miosix.h>
#include "player.h"
#include "sad_trombone.h"
#include "rickroll.h"

using namespace miosix;

typedef Gpio<GPIOA_BASE,0> puls1;
typedef Gpio<GPIOB_BASE,0> puls2;

int main()
{
	puls1::mode(Mode::INPUT);
	puls2::mode(Mode::INPUT_PULL_DOWN); //Using internal pulldown of the STM32
	ADPCMSound sadTrombone(sad_trombone_bin,sad_trombone_bin_len);
	ADPCMSound rickroll(rickroll_bin,rickroll_bin_len);
	for(;;)
	{
		if(puls1::value()) Player::instance().play(rickroll);
		if(puls2::value()) Player::instance().play(sadTrombone);
	}
}
