#ifndef STM32ACCEL_H
#define STM32ACCEL_H

#include <QMainWindow>
#include <QSystemTrayIcon>

#include <qextserialport.h>

#include <qwt_plot_curve.h>

namespace Ui {
class STM32Accel;
}

class STM32Accel : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit STM32Accel(QWidget *parent = 0);
    ~STM32Accel();

private slots:
    void onReadyRead();

    void on_actionAbout_triggered();
    void on_actionExit_triggered();
    void on_actionConnect_triggered();
    void on_actionDisconnect_triggered();

private:
    Ui::STM32Accel *ui;
    QextSerialPort *serialPort;
    QSystemTrayIcon *trayIcon;
    QMenu *trayMenu;
    QString portName;
    QwtPlotCurve *curve;
};

#endif // STM32ACCEL_H
