#ifndef STM32PLOT_H
#define STM32PLOT_H

#include <QTimer>

#include <qwt_plot.h>
#include <qwt_system_clock.h>
#include <qwt_plot_grid.h>
#include <qwt_plot_curve.h>
#include <qwt_legend.h>

class STM32Plot: public QwtPlot
{
    Q_OBJECT

public:
    explicit STM32Plot(QWidget* = 0);
    ~STM32Plot();
    void addValue(double time, double y, double z);

public slots:
    void start();
    void stop();

private slots:
    void timerTimeout();

private:
    void clearData();

    QwtPlotGrid *grid;
    QwtLegend *legend;

    QwtPlotCurve *xCurve;
    QwtPlotCurve *yCurve;
    QwtPlotCurve *zCurve;

    QTimer *timer;

    double interval;
    int numPoints;
    int refreshPeriod;

    double newXValue;
    double newYValue;
    double newZValue;

    QVector<double> time;
    QVector<double> x;
    QVector<double> y;
    QVector<double> z;
};

#endif // STM32PLOT_H
