#!/usr/bin/python

import thread
import serial
import gobject
import sys
import time
gobject.threads_init()

try:
        import pygtk
        pygtk.require("2.0")
        import gtk
        import gtk.glade
except:
  	raise ImportError

class GUI:
    def __init__(self):
        self.ser = serial.Serial()
        self.ser.port = "/dev/ttyUSB0"
        self.ser.baudrate = 115200
        self.ser.open()
        for i in range(3): #Spegni il led inviando tre zeri
            self.ser.write(chr(0)) 

        #Carica il file di stile dell'interfaccia
        self.gladefile = "interface2.glade"  
        self.wTree = gtk.glade.XML(self.gladefile) 

        #Imposta le funzioni di callback
        dic = { "color_changed" : (self.change_value, None),
                "on_window1_destroy": (self.quitting, None),
                }
        self.wTree.signal_autoconnect(dic)

        win = self.wTree.get_widget("colorselectiondialog1")
        win.show()

    def change_value(self, *args):
        #Operazione da eseguire quando cambia colore selezionato
        colole = self.wTree.get_widget("colorsel-color_selection1").get_current_color()
        self.ser.write(chr(int((colole.green/65535.0)*255.0)))
        self.ser.write(chr(int((colole.blue/65535.0)*255.0)))
        self.ser.write(chr(int((colole.red/65535.0)*255.0)))

        
    def quitting(self, *args):
        gtk.main_quit()
        sys.exit()


if __name__ == "__main__":
	iface = GUI()
	gtk.main()
